Error installing Ruby on Ubuntu 14.04

The following install commands:

gpg --keyserver hkp://keys.gnupg.net --recv-keys         409B6B1796C275462A1703113804BB82D39DC0E3


 \curl -sSL https://get.rvm.io | bash -s stable --rails

Returns this error:

 Installing requirements for ubuntu.
 Updating system................
 Error running 'requirements_debian_update_system ruby-2.2.1',
showing last 15 lines of /home/gav/.rvm/log/1458060663_ruby-                                      2.2.1/update_system.log     ++ /scripts/functions/logging : rvm_pretty_print()  78 > case  "${TERM:-   dumb}" in   ++ /scripts/functions/logging : rvm_pretty_print()  81 > case "$1" in
++ /scripts/functions/logging : rvm_pretty_print()  83 > [[ -t 2 ]]
++ /scripts/functions/logging : rvm_pretty_print()  83 > return 1
++ /scripts/functions/logging : rvm_error()  117 > printf %b 'There has       been error while updating '\''apt-get'\'', please give it some time and   try again later.
404 errors should be fixed for rvm to proceed. Check your sources   configured in:
 /etc/apt/sources.list
 /etc/apt/sources.list.d/*.list
\n'
There has been error while updating 'apt-get', please give it some  time     and try again later.
404 errors should be fixed for rvm to proceed. Check your sources    configured in:
/etc/apt/sources.list
/etc/apt/sources.list.d/*.list

++ /scripts/functions/requirements/ubuntu :    requirements_debian_update_system()  53 > return 100
Requirements installation failed with status: 100.

Answers


You have problems with your sources

heres one solution, open a terminal type in

sudo apt-get update

take note of the names that are causing the 404s, errors, etc.

then open your software center and choose sources

there pick "Other Software" (second tab)

expand that window and start disabling the repositories that cause you trouble

as you uncheck any repositories, try again

sudo apt-get update

until you see no errors

make sure you don't see any errors or not found sources

afterward type in

source ~/.rvm/scripts/rvm 

and

rvm requirements

and That's it...


Need Your Help

Can't encode JSON data

php jquery ajax json

I created a JSON array in my PHP file as follows:

Rails - Difference between @import and *= require?

css ruby-on-rails ruby twitter-bootstrap twitter-bootstrap-3

So I've got a relatively simple Rails app, and I wanted to add some material design styling to it through Bootstrap.